CVE-2002-1582
CVSS10.0
发布时间 :2004-12-06 00:00:00
修订时间 :2008-09-05 16:30:59
NMCOS    

[原文]compose.cgi in Mailreader.com 2.3.30 and 2.3.31, when using Sendmail as the Mail Transfer Agent, allows remote attackers to execute arbitrary commands via shell metacharacters in the RealEmail configuration variable, which is used to call Sendmail in network.cgi.


[CNNVD]MailReader.com远程命令执行漏洞(CNNVD-200412-050)

        
        Mailreader.com是一款由Perl编写基于WEB的POP3邮件阅读程序。
        Mailreader中的compose.cgi脚本对$CONFIG{RealEmail}参数检查不正确,远程攻击者可以利用这个漏洞通过在输入中插进SHELL元字符,以WEB进程权限执行任意命令。
        Mailreader允许用户指定他们自己的邮件服务器,可使得任意用户可以登录和使用Mailreader,用户也可以使用configSMTPServers输入覆盖SMTPServers配置。Mailreader 2.3.30和之前版本包含一个选项使用sendmail作为邮件传输代理,在compose.cgi脚本中对将传递给network.cgi脚本中$from参数的$CONFIG{RealEmail}缺少正确过滤,Network.cgi脚本的372行如下:
         if ($server =~ /[.]*sendmail/) {
         # close the file 'cause it isn't needed
         close FILE;
         # send the file
         my $res = `$server -U -f$from -t -i < $filename`;
         # and escape
         return 1;
         }
        这将允许用户提交在输入中插进SHELL元字符,以WEB进程权限在系统上执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mailreader.com:mailreader.com:2.3.30
cpe:/a:mailreader.com:mailreader.com:2.3.31

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1582
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1582
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-050
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6058
(VENDOR_ADVISORY)  BID  6058
http://www.securityfocus.com/archive/1/297428
(VENDOR_ADVISORY)  BUGTRAQ  20021028 SCAN Associates Advisory : Multiple vurnerabilities on mailreader.com
http://www.iss.net/security_center/static/10491.php
(VENDOR_ADVISORY)  XF  mailreader-compose-command-execution(10491)
http://www.mailreader.com/download/ChangeLog
(VENDOR_ADVISORY)  CONFIRM  http://www.mailreader.com/download/ChangeLog

- 漏洞信息

MailReader.com远程命令执行漏洞
危急 输入验证
2004-12-06 00:00:00 2005-10-20 00:00:00
远程  
        
        Mailreader.com是一款由Perl编写基于WEB的POP3邮件阅读程序。
        Mailreader中的compose.cgi脚本对$CONFIG{RealEmail}参数检查不正确,远程攻击者可以利用这个漏洞通过在输入中插进SHELL元字符,以WEB进程权限执行任意命令。
        Mailreader允许用户指定他们自己的邮件服务器,可使得任意用户可以登录和使用Mailreader,用户也可以使用configSMTPServers输入覆盖SMTPServers配置。Mailreader 2.3.30和之前版本包含一个选项使用sendmail作为邮件传输代理,在compose.cgi脚本中对将传递给network.cgi脚本中$from参数的$CONFIG{RealEmail}缺少正确过滤,Network.cgi脚本的372行如下:
         if ($server =~ /[.]*sendmail/) {
         # close the file 'cause it isn't needed
         close FILE;
         # send the file
         my $res = `$server -U -f$from -t -i < $filename`;
         # and escape
         return 1;
         }
        这将允许用户提交在输入中插进SHELL元字符,以WEB进程权限在系统上执行任意命令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时使用.htaccesss等访问控制授权限制对compose.cgi和network.cgi所在目录的访问。
        厂商补丁:
        Mailreader.com
        --------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Mailreader.com Upgrade mailreader-2.3.33.tar.gz
        
        http://www.mailreader.com/download/mailreader-2.3.33.tar.gz

- 漏洞信息

16018
Mailreader with Sendmail compose.cgi Arbitrary Command Execution

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-10-28 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.3.33 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

MailReader.com Remote Command Execution Vulnerability
Input Validation Error 6058
Yes No
2002-10-28 12:00:00 2009-07-11 06:06:00
Discovery of this issue is credited to pokleyzz <pokleyzz@scan-associates.net>, <sk@scan-associates.net> and <shaharil@scan-associates.net>.

- 受影响的程序版本

Mailreader.com Mailreader.com 2.3.32
Mailreader.com Mailreader.com 2.3.31
Mailreader.com Mailreader.com 2.3.30
Mailreader.com Mailreader.com 2.3.29
Mailreader.com Mailreader.com 2.3.28
Mailreader.com Mailreader.com 2.3.27
Mailreader.com Mailreader.com 2.3.26
Mailreader.com Mailreader.com 2.3.25
Mailreader.com Mailreader.com 2.3.24
Mailreader.com Mailreader.com 2.3.23
Mailreader.com Mailreader.com 2.3.22
Mailreader.com Mailreader.com 2.3.21
Mailreader.com Mailreader.com 2.3.20
Mailreader.com Mailreader.com 2.3.33
Mailreader.com Mailreader.com 2.3.32

- 不受影响的程序版本

Mailreader.com Mailreader.com 2.3.33
Mailreader.com Mailreader.com 2.3.32

- 漏洞讨论

A vulnerability has been reported in Mailreader.com which may allow remote attackers to execute arbitrary commands on the underlying shell with the privileges of the webserver.

This issue was introduced in version 2.3.30. User-supplied input is passed to the sendmail MTA (mail tranfer agent), but is not sufficiently sanitized of shell metacharacters before being passed through the shell.

- 漏洞利用

This issue may be exploited with a web browser.

- 解决方案

The vendor has addressed this issue in Mailreader.com versions 2.3.33 and later.


Mailreader.com Mailreader.com 2.3.20

Mailreader.com Mailreader.com 2.3.21

Mailreader.com Mailreader.com 2.3.22

Mailreader.com Mailreader.com 2.3.23

Mailreader.com Mailreader.com 2.3.24

Mailreader.com Mailreader.com 2.3.25

Mailreader.com Mailreader.com 2.3.26

Mailreader.com Mailreader.com 2.3.27

Mailreader.com Mailreader.com 2.3.28

Mailreader.com Mailreader.com 2.3.29

Mailreader.com Mailreader.com 2.3.30

Mailreader.com Mailreader.com 2.3.31

Mailreader.com Mailreader.com 2.3.32

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站